[SM-Commit] GIT changes to master grimoire by Arjan Bouter (223b9a823396998e2b5c3fc01e933d8f7c7cf662)

Arjan Bouter scm at sourcemage.org
Mon Dec 24 03:39:05 EST 2007


GIT changes to master grimoire by Arjan Bouter <abouter at sourcemage.org>:

 ChangeLog                                     |    4 ++
 dev/null                                      |binary
 display/directfb/BUILD                        |    4 --
 display/directfb/DEPENDS                      |    5 ++
 display/directfb/DETAILS                      |    5 +-
 display/directfb/DirectFB-0.9.25.1.tar.gz.sig |    0 
 display/directfb/HISTORY                      |    4 ++
 display/directfb/PRE_BUILD                    |    8 ++--
 display/directfb/TRIGGERS                     |    1 
 display/splashy/DEPENDS                       |    4 ++
 display/splashy/DETAILS                       |   28 +++++++++++++++
 display/splashy/HISTORY                       |    3 +
 display/splashy/PRE_BUILD                     |    3 +
 display/splashy/TRIGGERS                      |    1 
 display/splashy/WIP                           |    1 
 display/splashy/init.d/splashy                |   10 +++++
 display/splashy/init.d/splashy1               |   46 ++++++++++++++++++++++++++
 display/splashy/init.d/splashy2               |   43 ++++++++++++++++++++++++
 display/splashy/init.d/splashy3               |   40 ++++++++++++++++++++++
 display/splashy/init.d/splashy4               |   37 ++++++++++++++++++++
 display/splashy/init.d/splashy5               |   34 +++++++++++++++++++
 display/splashy/splashy.patch                 |   11 ++++++
 kernels/linux-fusion/40-linux-fusion.rules    |    1 
 kernels/linux-fusion/BUILD                    |    2 +
 kernels/linux-fusion/DEPENDS                  |    1 
 kernels/linux-fusion/DETAILS                  |   18 ++++++++++
 kernels/linux-fusion/HISTORY                  |    3 +
 kernels/linux-fusion/INSTALL                  |   10 +++++
 kernels/linux-fusion/PREPARE                  |    5 ++
 29 files changed, 322 insertions(+), 10 deletions(-)

New commits:
commit 223b9a823396998e2b5c3fc01e933d8f7c7cf662
Author: Arjan Bouter <abouter at sourcemage.org>
Commit: Arjan Bouter <abouter at sourcemage.org>

    splashy: new spell, userspace bootsplash app

commit 0b11d260ba404330575c5be50ecfcc4a5b7de328
Author: Arjan Bouter <abouter at sourcemage.org>
Commit: Arjan Bouter <abouter at sourcemage.org>

    linux-fusion: new spell, IPC API for DirectFB

commit fd9be2c35620d2a2e6bcd44efb5634d29576df7e
Author: Arjan Bouter <abouter at sourcemage.org>
Commit: Arjan Bouter <abouter at sourcemage.org>

    directfb: added optional dep on linux-fusion and version bumped to 1.1.1

diff --git a/ChangeLog b/ChangeLog
index 92700ae..d0101f7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2007-12-24 Arjan Bouter <abouter at sourcemage.org>
+	* kernels/linux-fusion: new spell, IPC API for DirectFB
+	* display/splashy: new spell, userspace bootsplash app
+
 2007-12-23 Julien "_kaze_" ROZO <julien at rozo.org>
 	* collab/qsvn: new spell, a graphical Subversion client based on qt4
 	* kde-look/FUNCTIONS: added
diff --git a/display/directfb/BUILD b/display/directfb/BUILD
index d12211a..337202a 100755
--- a/display/directfb/BUILD
+++ b/display/directfb/BUILD
@@ -1,7 +1,3 @@
-if  [[  -f  /usr/include/linux/fusion.h  ]];  then
-  OPTS="$OPTS --enable-multi"
-fi  &&
-
 OPTS="--with-inputdrivers=$inputdrivers         \
       --with-gfxdrivers=$gfxdrivers             \
       $DFB_DEBUG $DFB_NETWORK $DFB_VOODOO       \
diff --git a/display/directfb/DEPENDS b/display/directfb/DEPENDS
index ffce9bb..f45135d 100755
--- a/display/directfb/DEPENDS
+++ b/display/directfb/DEPENDS
@@ -1,6 +1,11 @@
 depends  autoconf  &&
 depends  automake  &&
 
+optional_depends  linux-fusion                     \
+                  '--enable-multi'                 \
+                  '--enable-mutli=no'           \
+                  'build with support for multiple DFB applications?'  &&
+
 optional_depends  freetype2             \
                   '--enable-freetype'   \
                   '--disable-freetype'  \
diff --git a/display/directfb/DETAILS b/display/directfb/DETAILS
index 2e95a8b..545d2b9 100755
--- a/display/directfb/DETAILS
+++ b/display/directfb/DETAILS
@@ -1,14 +1,13 @@
            SPELL=directfb
-         VERSION=1.0.0-rc1
+         VERSION=1.1.1
           SOURCE=DirectFB-$VERSION.tar.gz
 SOURCE_DIRECTORY=$BUILD_DIRECTORY/DirectFB-$VERSION
    SOURCE_URL[0]=http://www.directfb.org/downloads/Core/$SOURCE
-      SOURCE_HASH=sha512:1fb193764bbe76f9d236b47bdffc700b57bfb612f5d68d01a4133bca2d4582a3aa10cfd56a645c04ba0fc095bfcd952ab31af6ce051bff7ca87cbe161589ad6d
+      SOURCE_HASH=sha512:a82793c5164f0379fad7662071c45bc350a44cc814462cf284cb65cf701ce6c4912570e4e7f34c1db62547a625bc57a907537032d0ea7b1bea946839c0ad9bc2
       LICENSE[0]=LGPL
         KEYWORDS="display"
         WEB_SITE=http://www.directfb.org/
          ENTERED=20030916
-         UPDATED=20031027
            SHORT="Graphics acceleration on Framebuffer Device"
 cat << EOF
 DirectFB is a thin library that provides hardware graphics acceleration, 
diff --git a/display/directfb/DirectFB-0.9.25.1.tar.gz.sig b/display/directfb/DirectFB-0.9.25.1.tar.gz.sig
deleted file mode 100644
index 03b91b6..0000000
Binary files a/display/directfb/DirectFB-0.9.25.1.tar.gz.sig and /dev/null differ
diff --git a/display/directfb/HISTORY b/display/directfb/HISTORY
index 94a44d9..6f38aaf 100644
--- a/display/directfb/HISTORY
+++ b/display/directfb/HISTORY
@@ -1,3 +1,7 @@
+2007-12-23 Arjan Bouter <abouter at sourcemage.org>
+	* DETAILS: version 1.1.1, switched to sha512sum
+	* PRE_BUILD: disabled regeneration of configure
+
 2007-09-23 Arjan Bouter <abouter at sourcemage.org>
 	* CONFIGURE: fixed typo
 	* DEPENDS: added warning for SDL, added libvncserver
diff --git a/display/directfb/PRE_BUILD b/display/directfb/PRE_BUILD
index 4379c98..d94b936 100755
--- a/display/directfb/PRE_BUILD
+++ b/display/directfb/PRE_BUILD
@@ -1,8 +1,10 @@
 default_pre_build      &&
-cd  $SOURCE_DIRECTORY  &&
+cd  $SOURCE_DIRECTORY
 
 #
 # Remake configure so it doesn't "need" cpp
+# <abouter> True as that might be, configure.in is broken
+# and won't generate a working configure
 #
-aclocal   &&
-autoconf
+#aclocal   &&
+#autoconf
diff --git a/display/directfb/TRIGGERS b/display/directfb/TRIGGERS
new file mode 100755
index 0000000..4ef87a9
--- /dev/null
+++ b/display/directfb/TRIGGERS
@@ -0,0 +1 @@
+on_cast linux-fusion cast_self
diff --git a/display/splashy/DEPENDS b/display/splashy/DEPENDS
new file mode 100755
index 0000000..ee8f4a2
--- /dev/null
+++ b/display/splashy/DEPENDS
@@ -0,0 +1,4 @@
+depends  directfb         &&
+depends  glib2            &&
+optional_depends  libpng  ''  ''  'For PNG image support' &&
+optional_depends  jpeg    ''  ''  'For JPEG image support'
diff --git a/display/splashy/DETAILS b/display/splashy/DETAILS
new file mode 100755
index 0000000..1142c37
--- /dev/null
+++ b/display/splashy/DETAILS
@@ -0,0 +1,28 @@
+           SPELL=splashy
+         VERSION=0.3.7
+          SOURCE=$SPELL-$VERSION.tar.gz
+     SOURCE_HASH=sha512:5d87f24de06c5fcafe359bf2462ba84c9bea2d7b30a360761e0b746d2020157f0454b705eadafeab10b8263fc0b2f9c0cad9146081f10b697c2cd6a739e5f734
+   SOURCE_URL[0]=http://alioth.debian.org/frs/download.php/2218/${SOURCE}
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/${SPELL}-${VERSION}
+        WEB_SITE=http://splashy.alioth.debian.org/wiki/
+         ENTERED=20071210
+      LICENSE[0]=GPL
+           SHORT="Graphical boot"
+cat << EOF
+Splashy is a next generation boot splashing system for Unix-like systems.
+Unlike other splashing systems, it needs no patches to the kernel.
+
+INSTRUCTIONS:
+1. Install Splashy as you normally would (see INSTALL)
+
+2. Add "splash vga=791 quiet" to the append= line on your bootloader configuration
+   NOTE: For Grub, this is /boot/grub/menu.lst
+   For lilo you need "vga=791" in its own line before the kernel stanzas, and add
+   only "quiet splash" to append=
+   Other bootloaders will use the same options, but they need to be passed
+   differently. Check your bootloader's manual
+
+3. Make sure that /etc/init.d/runlevels/%S/splashy is installed.
+
+4. Reboot and have fun!
+EOF
diff --git a/display/splashy/HISTORY b/display/splashy/HISTORY
new file mode 100644
index 0000000..34f3358
--- /dev/null
+++ b/display/splashy/HISTORY
@@ -0,0 +1,3 @@
+2007-12-10 Arjan Bouter <abouter at sourcemage.org>
+	* DETAILS, DEPENDS, PRE_BUILD,
+	  init.d/splashy, HISTORY: created spell
diff --git a/display/splashy/PRE_BUILD b/display/splashy/PRE_BUILD
new file mode 100755
index 0000000..9f192f1
--- /dev/null
+++ b/display/splashy/PRE_BUILD
@@ -0,0 +1,3 @@
+default_pre_build     &&
+cd $SOURCE_DIRECTORY  &&
+patch -p1 < ${SCRIPT_DIRECTORY}/splashy.patch
diff --git a/display/splashy/TRIGGERS b/display/splashy/TRIGGERS
new file mode 100755
index 0000000..9e4f164
--- /dev/null
+++ b/display/splashy/TRIGGERS
@@ -0,0 +1 @@
+on_cast directfb cast_self
diff --git a/display/splashy/WIP b/display/splashy/WIP
new file mode 100644
index 0000000..ebd4dcb
--- /dev/null
+++ b/display/splashy/WIP
@@ -0,0 +1 @@
+This spell builds, but the init scripts need more work.
diff --git a/display/splashy/init.d/splashy b/display/splashy/init.d/splashy
new file mode 100755
index 0000000..23a5fbe
--- /dev/null
+++ b/display/splashy/init.d/splashy
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+#grep -q -e '[[:space:]]splash\([[:space:]]\|$\)' /proc/cmdline || exit 1
+
+PROGRAM=/usr/sbin/splashy
+ARGS=boot
+RUNLEVEL=S
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
diff --git a/display/splashy/init.d/splashy1 b/display/splashy/init.d/splashy1
new file mode 100755
index 0000000..dce8159
--- /dev/null
+++ b/display/splashy/init.d/splashy1
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=1
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+  1)
+        SPLASHY_PROGRESS=100
+        ;;
+  2)
+        SPLASHY_PROGRESS=50
+        ;;
+  3)
+        SPLASHY_PROGRESS=33
+        ;;
+  4)
+        SPLASHY_PROGRESS=25
+        ;;
+  5)
+        SPLASHY_PROGRESS=20
+        ;;
+  *)
+        echo "Unknown default runlevel"
+        exit 1
+esac
+
+start()
+{
+  /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+  true
+}
+
+restart()
+{
+  true
+}
diff --git a/display/splashy/init.d/splashy2 b/display/splashy/init.d/splashy2
new file mode 100755
index 0000000..1e4aa30
--- /dev/null
+++ b/display/splashy/init.d/splashy2
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=2
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+  2)
+        SPLASHY_PROGRESS=100
+        ;;
+  3)
+        SPLASHY_PROGRESS=66
+        ;;
+  4)
+        SPLASHY_PROGRESS=50
+        ;;
+  5)
+        SPLASHY_PROGRESS=40
+        ;;
+  *)
+        echo "Unknown default runlevel"
+        exit 1
+esac
+
+start()
+{
+  /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+  true
+}
+
+restart()
+{
+  true
+}
diff --git a/display/splashy/init.d/splashy3 b/display/splashy/init.d/splashy3
new file mode 100755
index 0000000..ee5c6da
--- /dev/null
+++ b/display/splashy/init.d/splashy3
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=3
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+  3)
+        SPLASHY_PROGRESS=100
+        ;;
+  4)
+        SPLASHY_PROGRESS=75
+        ;;
+  5)
+        SPLASHY_PROGRESS=60
+        ;;
+  *)
+        echo "Unknown default runlevel"
+        exit 1
+esac
+
+start()
+{
+  /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+  true
+}
+
+restart()
+{
+  true
+}
diff --git a/display/splashy/init.d/splashy4 b/display/splashy/init.d/splashy4
new file mode 100755
index 0000000..1ae6dc1
--- /dev/null
+++ b/display/splashy/init.d/splashy4
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=4
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+  4)
+        SPLASHY_PROGRESS=100
+        ;;
+  5)
+        SPLASHY_PROGRESS=80
+        ;;
+  *)
+        echo "Unknown default runlevel"
+        exit 1
+esac
+
+start()
+{
+  /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+  true
+}
+
+restart()
+{
+  true
+}
diff --git a/display/splashy/init.d/splashy5 b/display/splashy/init.d/splashy5
new file mode 100755
index 0000000..ba446ca
--- /dev/null
+++ b/display/splashy/init.d/splashy5
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=5
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+  5)
+        SPLASHY_PROGRESS=100
+        ;;
+  *)
+        echo "Unknown default runlevel"
+        exit 1
+esac
+
+start()
+{
+  /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+  true
+}
+
+restart()
+{
+  true
+}
diff --git a/display/splashy/splashy.patch b/display/splashy/splashy.patch
new file mode 100644
index 0000000..a2cd1ac
--- /dev/null
+++ b/display/splashy/splashy.patch
@@ -0,0 +1,11 @@
+diff -Naur splashy-0.3.7/scripts/Makefile.in splashy-fixed/scripts/Makefile.in
+--- splashy-0.3.7/scripts/Makefile.in	2007-12-08 23:50:17.000000000 +0100
++++ splashy-fixed/scripts/Makefile.in	2007-12-10 02:00:56.000000000 +0100
+@@ -195,7 +195,6 @@
+ # This will canonically be installed in /etc
+ nobase_sysconf_DATA = \
+ 	console-tools/config.d/splashy \
+-	init.d/splashy \
+ 	default/splashy 
+ 
+ 
diff --git a/kernels/linux-fusion/40-linux-fusion.rules b/kernels/linux-fusion/40-linux-fusion.rules
new file mode 100644
index 0000000..dc7fca1
--- /dev/null
+++ b/kernels/linux-fusion/40-linux-fusion.rules
@@ -0,0 +1 @@
+KERNEL=="fusion[0-9]*", NAME="fusion/%n", GROUP="video", MODE="0660"
diff --git a/kernels/linux-fusion/BUILD b/kernels/linux-fusion/BUILD
new file mode 100755
index 0000000..8f00b77
--- /dev/null
+++ b/kernels/linux-fusion/BUILD
@@ -0,0 +1,2 @@
+make
+
diff --git a/kernels/linux-fusion/DEPENDS b/kernels/linux-fusion/DEPENDS
new file mode 100755
index 0000000..f1e954a
--- /dev/null
+++ b/kernels/linux-fusion/DEPENDS
@@ -0,0 +1 @@
+depends CVS
diff --git a/kernels/linux-fusion/DETAILS b/kernels/linux-fusion/DETAILS
new file mode 100755
index 0000000..78493eb
--- /dev/null
+++ b/kernels/linux-fusion/DETAILS
@@ -0,0 +1,18 @@
+           SPELL=linux-fusion
+  if  [  "$FUSION_CVS_AUTOUPDATE"  ==  "y"  ];  then
+         VERSION=$(date +%Y%m%d)
+  else
+         VERSION=cvs
+  fi
+          SOURCE=$SPELL-$VERSION.tar.bz2
+     SOURCE_IGNORE=volatile
+   SOURCE_URL[0]=cvs://:pserver:anonymous@git.directfb.org:/git/directfb/core/linux-fusion.git:master
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/$SPELL-$VERSION
+        WEB_SITE=https://directfb.org
+         ENTERED=20071111
+      LICENSE[0]=GPL
+           SHORT="DirectFB Fusion kernel module"
+cat << EOF
+Fusion is a high level IPC API providing mechanisms
+for master/slave environments.
+EOF
diff --git a/kernels/linux-fusion/HISTORY b/kernels/linux-fusion/HISTORY
new file mode 100644
index 0000000..bc220f9
--- /dev/null
+++ b/kernels/linux-fusion/HISTORY
@@ -0,0 +1,3 @@
+2007-12-24 Arjan Bouter <abouter at sourcemage.org>
+	* DETAILS,DEPENDS,BUILD,PREPARE,HISTORY,INSTALL,40-linux-fusion.rules: created spell
+
diff --git a/kernels/linux-fusion/INSTALL b/kernels/linux-fusion/INSTALL
new file mode 100755
index 0000000..ceff8e2
--- /dev/null
+++ b/kernels/linux-fusion/INSTALL
@@ -0,0 +1,10 @@
+default_install &&
+
+if [[ "${FUSION_MODULES}" = "y" ]]; then
+  if ! ( grep -q "^fusion$" ${INSTALL_ROOT}/etc/modules); then
+    echo "fusion" >> ${INSTALL_ROOT}/etc/modules
+  fi
+fi &&
+
+install_config_file $SCRIPT_DIRECTORY/40-linux-fusion.rules \
+                    $INSTALL_ROOT/etc/udev/rules.d/40-linux-fusion.rules
diff --git a/kernels/linux-fusion/PREPARE b/kernels/linux-fusion/PREPARE
new file mode 100755
index 0000000..6b7e715
--- /dev/null
+++ b/kernels/linux-fusion/PREPARE
@@ -0,0 +1,5 @@
+config_query  FUSION_CVS_AUTOUPDATE                               \
+                "Automatically update on every system update?"  n &&
+
+config_query  FUSION_MODULES                                      \
+                "Add the fusion module to /etc/modules? Directfb won't start without it when build against linux-fusion."  n



More information about the SM-Commit mailing list